package com.junmp.gold.api.bean.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * <pre>
 *
 * 描述：
 * 版本：1.0.0
 * 日期：2022/8/3 13:21
 * 作者：ningzp@junmp.com.cn
 * <br>修改记录
 * <br>修改日期        修改人          修改内容
 *
 * </pre>
 */
@Data
public class ProductProcessDto implements Serializable {

    /**
     * 批次编号
     */
    private Long batchId;

    /**
     * 批次号
     */
    private String batchNo;

    /**
     * 产品编号
     */
    private Long productId;

    /**
     * 产品名称
     */
    private String productName;

    /**
     * 号型编号
     */
    private Long specId;

    /**
     * 号型
     */
    private String spec;

    /**
     * 重量
     */
    private String weight;

    /**
     * 材质
     */
    private String material;

    /**
     * 计划生产数
     */
    private Integer total;

    /**
     * 是否复检完成
     */
    private Boolean hasFinish;

    /**
     * 是否初始化完成
     */
    private Boolean hasInit;

    /**
     * 已自检数量
     */
    private Integer checkedNum;

    /**
     * 待自检数量
     */
    private Integer waitingNum;

}
