package com.junmp.gold.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.junmp.gold.api.bean.req.CompanyReq;
import com.junmp.gold.api.bean.req.ProductReq;
import com.junmp.gold.entity.Company;
import com.junmp.gold.entity.Product;
import com.junmp.v2.db.api.page.PageResult;

import java.util.List;

/**
 * <pre>
 *
 * 描述：
 * 版本：1.0.0
 * 日期：2022/7/30 13:46
 * 作者：ningzp@junmp.com.cn
 * <br>修改记录
 * <br>修改日期        修改人          修改内容
 *
 * </pre>
 */
public interface ProductService extends IService<Product> {

    /**
     * 新增
     *
     * @param req
     */
    boolean addProduct(ProductReq req);

    /**
     * 编辑
     *
     * @param req
     */
    boolean editProduct(ProductReq req);

    /**
     * 删除
     *
     * @param req
     */
    boolean del(ProductReq req);

    /**
     * 列表信息
     *
     * @param req
     */
    List<Product> findList(ProductReq req);

    /**
     * 分页信息
     *
     * @param req
     */
    PageResult<Product> findPage(ProductReq req);
}
